import RootComponent from '../shared/rootComponent';
import SearchComponent from './searchComponent';
import SearchResultsComponent from './searchResultsComponent';
import OverlayService from '../shared/overlayService';
import MediaGlobalService from '../shared/mediaGlobalService';
import DropdownFactory from '../shared/dropdownFactory';
export default class PageHeaderComponent extends RootComponent {
    private _overlayService;
    private _mediaGlobalService;
    private _dropdownFactory;
    private _searchComponent;
    private _pageHeaderElement;
    private _buttonElement;
    private _navbarAndSearchOuterWrapper;
    private _navbarAndSearchInnerWrapper;
    private _dropdown;
    constructor(mediaGlobalService: MediaGlobalService, dropdownFactory: DropdownFactory, overlayService: OverlayService, searchComponent: SearchComponent, searchResultsComponent: SearchResultsComponent);
    enabled(): boolean;
    setupImmediate(): void;
    setupOnDomContentLoaded(): void;
    setupOnLoad(): void;
    private onChangedToNarrowListener;
    private onChangedFromNarrowListener;
    private overlayClickListener;
    private buttonClickListener;
}
