import Component from '../shared/component';
import TextInputFactory from '../shared/textInputFactory';
import SearchResultsComponent from './searchResultsComponent';
import SearchService from '../shared/searchService';
export default class SearchComponent implements Component {
    private _textInputFactory;
    private _textInput;
    private _searchElement;
    private _inputElement;
    private _clearElement;
    private _searchResultsComponent;
    private _searchService;
    constructor(textInputFactory: TextInputFactory, searchResultsComponent: SearchResultsComponent, searchService: SearchService);
    setupImmediate(): void;
    setupOnDomContentLoaded(): void;
    setupOnLoad(): void;
    hasQuery(): boolean;
    reset(): void;
}
