"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
Object.defineProperty(exports, "__esModule", { value: true });
var inversify_1 = require("inversify");
var FixesGlobalService = /** @class */ (function () {
    function FixesGlobalService() {
    }
    FixesGlobalService.prototype.setupOnDomContentLoaded = function () {
    };
    FixesGlobalService.prototype.setupImmediate = function () {
    };
    FixesGlobalService.prototype.setupOnLoad = function () {
        // When a page is reloaded, elements begin with the state they had just prior to the page reload. For instance, if prior to the reload, an element had opacity 1, it has opacity 1 immediately 
        // after the reload, even if the styles for the element specify an opacity of 0. If the element in the example has a transition for its opacity, it begins transitioning from 1 to 0 immediately
        // after reload. If the same element has a transition after reload (for instance a script might set its opacity as 1, just after load), the browser ends up displaying a flicker: element goes from
        // opacity 1 > ~0 (depending on how long the transitions is and how long before the script sets opacity to 1), then from 0 > 1. This effect is extremely unpleasant. Therefore, prior to the load 
        // event, all elements have transition set to none (see base.scss), all elements will thus begin at the state specified by their styles. Immediately after the load event, this overriding of 
        // transitions must be removed:
        document.body.classList.remove('preload');
    };
    FixesGlobalService = __decorate([
        inversify_1.injectable()
    ], FixesGlobalService);
    return FixesGlobalService;
}());
exports.default = FixesGlobalService;
//# sourceMappingURL=fixesGlobalService.js.map