export default class OverlayService {
    private _overlayElement;
    private _currentFocusedElement;
    private _overlayActive;
    activateOverlay(focusedElement: HTMLElement, disableBodyScroll?: boolean, fadeIn?: boolean): void;
    deactivateOverlay(fadeOut?: boolean): void;
    addClickListener(listener: (event: Event) => void): void;
    removeClickListener(listener: (event: Event) => void): void;
    private onFadedOutListener;
    private resetElements;
}
