import Component from "./component";
export default abstract class RootComponent implements Component {
    private childComponents;
    protected addChildComponents(...components: Component[]): void;
    protected childComponentsSetupImmediate(): void;
    protected childComponentsSetupOnDomContentLoaded(): void;
    protected childComponentsSetupOnLoad(): void;
    abstract setupImmediate(): void;
    abstract setupOnDomContentLoaded(): void;
    abstract setupOnLoad(): void;
    abstract enabled(): boolean;
}
