"use strict";
var __extends = (this && this.__extends) || (function () {
    var extendStatics = function (d, b) {
        extendStatics = Object.setPrototypeOf ||
            ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
            function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
        return extendStatics(d, b);
    }
    return function (d, b) {
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
Object.defineProperty(exports, "__esModule", { value: true });
var inversify_1 = require("inversify");
var rootComponent_1 = require("../shared/rootComponent");
var paginationService_1 = require("../shared/paginationService");
var SalComponent = /** @class */ (function (_super) {
    __extends(SalComponent, _super);
    function SalComponent(paginationService) {
        var _this = _super.call(this) || this;
        _this._paginationService = paginationService;
        return _this;
    }
    SalComponent.prototype.setupImmediate = function () {
        this._sortedArticleListElement = document.getElementById('sorted-article-list');
    };
    SalComponent.prototype.enabled = function () {
        return this._sortedArticleListElement ? true : false;
    };
    SalComponent.prototype.setupOnDomContentLoaded = function () {
        var buttonsParentElement = this._sortedArticleListElement.querySelector('.pagination-buttons');
        var itemsParentElement = this._sortedArticleListElement.querySelector('.al-items');
        var allAlItems = this._sortedArticleListElement.querySelectorAll('article');
        if (allAlItems.length == 0) {
            return;
        }
        this._paginationService.setupPagination(buttonsParentElement, itemsParentElement, allAlItems);
    };
    SalComponent.prototype.setupOnLoad = function () {
        // Do nothing
    };
    SalComponent.prototype.registerListeners = function () {
        // Do nothing
    };
    SalComponent = __decorate([
        inversify_1.injectable(),
        __metadata("design:paramtypes", [paginationService_1.default])
    ], SalComponent);
    return SalComponent;
}(rootComponent_1.default));
exports.default = SalComponent;
//# sourceMappingURL=sortedArticleListComponent.js.map