"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
Object.defineProperty(exports, "__esModule", { value: true });
var inversify_1 = require("inversify");
var ArticleLinksComponent = /** @class */ (function () {
    function ArticleLinksComponent() {
        var _this = this;
        this.shareArticleSpanOnEnter = function () {
            _this._shareArticleLinksWrapperElement.classList.add('active');
        };
        this.shareArticleOnLeave = function () {
            _this._shareArticleLinksWrapperElement.classList.remove('active');
        };
    }
    ArticleLinksComponent.prototype.setupImmediate = function () {
    };
    ArticleLinksComponent.prototype.setupOnDomContentLoaded = function () {
        this._shareArticleElement = document.getElementById('share-article');
        if (this._shareArticleElement) {
            this._shareArticleSpanElement = document.querySelector('#share-article > span');
            this._shareArticleLinksWrapperElement = document.getElementById('share-article-links-wrapper');
            this._shareArticleSpanElement.addEventListener('mouseenter', this.shareArticleSpanOnEnter);
            this._shareArticleElement.addEventListener('mouseleave', this.shareArticleOnLeave);
        }
    };
    ArticleLinksComponent.prototype.setupOnLoad = function () {
    };
    ArticleLinksComponent.TOP_NEGATIVE_MARGIN = -3;
    ArticleLinksComponent = __decorate([
        inversify_1.injectable()
    ], ArticleLinksComponent);
    return ArticleLinksComponent;
}());
exports.default = ArticleLinksComponent;
//# sourceMappingURL=articleLinksComponent.js.map