import Component from '../shared/component';
import '../shared/treeNode';
import ArticleGlobalService from '../shared/articleGlobalService';
import MediaGlobalService from '../shared/mediaGlobalService';
export default class OutlineComponent implements Component {
    private _outlineScrollableElement;
    private _knobElement;
    private _rootUnorderedListElement;
    private _articleGlobalService;
    private _mediaGlobalService;
    private _anchorElements;
    private _lastDropdownAnchorIndex;
    constructor(articleGlobalService: ArticleGlobalService, mediaGlobalService: MediaGlobalService);
    setupImmediate(): void;
    setupOnDomContentLoaded(): void;
    setupOnLoad(): void;
    private onChangedToNarrowListener;
    private onChangedFromNarrowListener;
    updateDropdownKnob: () => void;
    private updateActiveSectionAnchor;
    getAnchorElements(): NodeList;
}
