import Component from '../shared/component';
import CollapsibleMenu from '../shared/collapsibleMenu';
import CollapsibleMenuFactory from '../shared/collapsibleMenuFactory';
import HeightService from '../shared/heightService';
export default class CategoryPagesComponent implements Component {
    private _categoryPagesElement;
    collapsibleMenu: CollapsibleMenu;
    private _collapsibleMenuFactory;
    private _heightService;
    constructor(collapsibleMenuFactory: CollapsibleMenuFactory, heightService: HeightService);
    setupImmediate(): void;
    setupOnDomContentLoaded(): void;
    setupOnLoad(): void;
    private expandInitiallyExpandedLIElements;
}
