import RootComponent from '../shared/rootComponent';
import DebounceService from '../shared/debounceService';
export default class PageFooterComponent extends RootComponent {
    private _footerButtonElement;
    private _debounceService;
    private _viewportPlusMobileUrlBarHeight;
    private static readonly DEBOUNCE_DURATION;
    constructor(debounceService: DebounceService);
    setupImmediate(): void;
    enabled(): boolean;
    setupOnDomContentLoaded(): void;
    setupOnLoad(): void;
    private updateViewportPlusMobileUrlBarHeight;
    private setBackToTopButtonVisibility;
}
