import Component from '../shared/component';
import PaginationService from '../shared/paginationService';
import OverlayService from '../shared/overlayService';
import MediaGlobalService from '../shared/mediaGlobalService';
export default class SearchResultsComponent implements Component {
    private _searchResultsElement;
    private _searchResultsMessageElement;
    private _searchStringMessageElement;
    private _articleListElement;
    private _articleListItemsParentElement;
    private _pageHeaderElement;
    private _paginationService;
    private _overlayService;
    private _mediaGlobalService;
    private _paginationButtonsElement;
    private _shown;
    constructor(mediaGlobalService: MediaGlobalService, overlayService: OverlayService, paginationService: PaginationService);
    setupImmediate(): void;
    setupOnDomContentLoaded(): void;
    setupOnLoad(): void;
    setShown(shown: boolean): void;
    setArticleElements: (articleElements: HTMLElement[], queryString: string) => void;
}
