import StringService from './stringService';
import HeightService from './heightService';
export default class CollapsibleMenu {
    private _stringService;
    private _heightService;
    private _rootElement;
    private _rootLIElements;
    constructor(rootElement: HTMLElement, rootLIElements: NodeList, stringService: StringService, heightService: HeightService);
    filter(filterValue?: string): void;
    private setLIElementFilteredState;
    private setFilteredLIElementHeight;
    restorePreFilterState(): void;
    private restoreLIElementPreFilterState;
    savePreFilterState(): void;
    private resetLIElementState;
}
