import CollapsibleMenu from './collapsibleMenu';
import StringService from './stringService';
import HeightService from './heightService';
export default class CollapsibleMenuFactory {
    private _stringService;
    private _heightService;
    constructor(stringService: StringService, heightService: HeightService);
    build(rootElement: HTMLElement): CollapsibleMenu;
    private registerTopicListeners;
    private setTextElementsPadding;
}
