export default class Dropdown {
    private _contentOuterWrapperElement;
    private _contentInnerWrapperElement;
    private _toggleElement;
    private _headerAndContentWrapperElement;
    constructor(contentOuterWrapperElement: HTMLElement, contentInnerWrapperElement: HTMLElement, toggleElement: HTMLElement, headerAndContentWrapperElement: HTMLElement);
    toggleWithAnimation(translateToTop?: boolean): void;
    expandWithAnimation(translateToTop: boolean): void;
    collapseWithAnimation(): void;
    toggleWithoutAnimation(translateToTop?: boolean): void;
    expandWithoutAnimation(translateToTop?: boolean): void;
    collapseWithoutAnimation(): void;
    reset(): void;
    isExpanded(): boolean;
}
