import { MediaWidth } from './mediaWidth';
import GlobalService from '../shared/globalService';
export default class MediaGlobalService implements GlobalService {
    private _mediaWidth;
    private _previousMediaWidth;
    private _narrowMediaQueryList;
    private _wideMediaQueryList;
    private _onMediaWidthChangeListeners;
    setupImmediate(): void;
    setupOnDomContentLoaded(): void;
    setupOnLoad(): void;
    private updateMediaWidth;
    private onResizeListener;
    addChangedToListener(listener: (init: boolean) => void, mediaWidth: MediaWidth): void;
    addChangedFromListener(listener: (init: boolean) => void, mediaWidth: MediaWidth): void;
    mediaWidthIs(mediaWidth: MediaWidth): boolean;
    mediaWidthChanged(): boolean;
    getPreviousMediaWidth(): MediaWidth;
}
