"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
Object.defineProperty(exports, "__esModule", { value: true });
var inversify_1 = require("inversify");
var Tippy = require("tippy.js"); // TODO tippy 3+ does not work, tooltips appear but aren't animated
var TooltipService = /** @class */ (function () {
    function TooltipService() {
    }
    TooltipService.prototype.setupElement = function (element, placement, text) {
        if (text === void 0) { text = null; }
        if (text) {
            element.setAttribute('title', text);
        }
        Tippy(element, {
            placement: placement,
            duration: 200,
            hideOnClick: false,
            trigger: 'manual',
            animateFill: false
        });
        var tooltip = element._tippy;
        element.addEventListener('click', function () {
            if (!tooltip.state.visible) {
                tooltip.show();
            }
        });
        element.addEventListener('mouseleave', function (event) {
            // Chrome bug - https://stackoverflow.com/questions/47649442/click-event-effects-mouseenter-and-mouseleave-on-chrome-is-it-a-bug
            // related target is the element that the mouse entered into - https://developer.mozilla.org/en-US/docs/Web/API/MouseEvent/relatedTarget
            if (!event.relatedTarget) {
                return;
            }
            if (tooltip.state.visible) {
                tooltip.hide();
            }
        });
    };
    TooltipService = __decorate([
        inversify_1.injectable()
    ], TooltipService);
    return TooltipService;
}());
exports.default = TooltipService;
//# sourceMappingURL=tooltipService.js.map